This page describes the options for creating a LookML dashboard element of `type: looker_column` with LookML dashboard parameters in a [`dashboard.lkml` file](https://docs.cloud.google.com/looker/docs/2600/other-project-files#dashboard_files).

For information about building a column chart through the Looker UI, see the [Column chart options](https://docs.cloud.google.com/looker/docs/2600/column-options) documentation page.

## Example usage


    ## BASIC PARAMETERS
    name: element_name
    title: 'Element Title'
    type: looker_column
    height: N
    width: N
    top: N
    left: N
    row: N
    col: N
    refresh: N (seconds | minutes | hours | days)
    note:
      text: 'note text'
      state: collapsed | expanded
      display: above | below | hover

    ## QUERY PARAMETERS
    model: model_name
    explore: explore_name
    dimensions: [view_name.field_name, view_name.field_name, ...]
    measures: [view_name.field_name, view_name.field_name, ...]
    sorts: [view_name.field_name asc | desc, view_name.field_name, ...]
    pivots: [view_name.field_name, view_name.field_name, ...]
    limit: N
    column_limit: N
    filters:
      view_name.field_name: 'Looker filter expression' | 'filter value'
    listen:
      dashboard_filter_name: dimension_or_measure_name
    query_timezone: 'specific timezone' | user_timezone
    merged_queries:
    - 'primary query definition'
    - 'next source query definition'
      join_fields:
      - field_name: view_name.field_name
        source_field_name: view_name.field_name

    ## PLOT PARAMETERS
    stacking: normal | percent | ''
    show_dropoff: true | false
    ordering: none | asc | desc
    column_spacing_ratio: number between 0 and 1
    column_group_spacing_ratio: number between 0 and 1
    hide_legend: true | false
    legend_position: center | left | right
    hidden_fields: [view_name.field_name, view_name.field_name, ...]
    limit_displayed_rows: true | false
    limit_displayed_rows_values:
      show_hide: show | hide
      first_last: first | last
      num_rows: 'N'

    ## SERIES PARAMETERS
    colors: [css_color, css_color, ...]
    series_colors:
      series_name: css_color
      # Possibly more series color assignments

    series_labels:
      'Series Name': desired series label
      # Possibly more series label assignments
    series_types:
       series_name: column | line | area | scatter
       # Possibly more series visualization assignments
    show_view_names: true | false

    ## VALUE PARAMETERS
    show_value_labels: true | false
    show_null_labels: true | false
    label_color: [css_color, css_color, ...]
    font_size: Npx
    label_rotation: N
    label_value_format: 'value formatting string'
    show_totals_labels: true | false
    hidden_series: [series_name, series_name, ...]
    show_silhouette: true | false
    totals_color: css_color

    ## X-AXIS PARAMETERS
    x_axis_scale: auto | ordinal | time
    x_axis_reversed: true | false
    show_x_axis_label: true | false
    x_axis_label: desired x-axis label
    show_x_axis_ticks: true | false
    x_axis_gridlines: true | false
    x_axis_label_rotation: N
    x_axis_datetime_label: 'time formatting string'
    x_axis_zoom: true | false

    ## Y-AXIS PARAMETERS
    y_axis_gridlines: true | false
    y_axis_reversed: true | false
    reference_lines:
      # reference line options
    y_axis_zoom: true | false

    ## ADVANCED VISUALIZATION CONFIGURATION PARAMETERS
    advanced_vis_config: 'Highcharts JSON snippet'

## Parameter definitions

| Parameter Name | Description |
|---|---|---|
| Basic Parameters |||
| [`name` (for elements)](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#name) | Creates an element |
| [`title` (for elements)](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#title) | Changes the way an element name appears to users |
| [`type` (for elements)](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#type) | Determines the type of visualization to be used in the element |
| [`height` (for elements)](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#height) | Defines the height of an element in units of [`tile_size`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#tile_size) for [`layout: tile`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) and [`layout: static`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards |
| [`width` (for elements)](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#width) | Defines the width of an element in units of [`tile_size`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#tile_size) for [`layout: tile`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) and [`layout: static`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards |
| [`top`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#top_param) | Defines the top-to-bottom position of an element in units of [`tile_size`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#tile_size) for [`layout: static`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards |
| [`left`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#left) | Defines the left-to-right position of an element in units of [`tile_size`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#tile_size) for [`layout: static`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards |
| [`row`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#row) | Defines the top-to-bottom position of an element in units of rows for [`layout: newspaper`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards |
| [`col`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#col) | Defines the left-to-right position of an element in units of columns for [`layout: newspaper`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards |
| [`refresh` (for elements)](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#refresh) | Sets the interval at which the element will automatically refresh |
| [`note`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#note) | Starts a section of LookML to define a note for an element. This parameter has subparameters [`text`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#text), [`state`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#state), and [`display`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#display). |
| Query Parameters |||
| [`model`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#model) | Defines the model to be used for the element's query |
| [`explore` (for elements)](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#explore) | Defines the Explore to be used for the element's query |
| [`dimensions`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#dimensions) | Defines the dimensions to be used for the element's query |
| [`measures`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#measures) | Defines the measures to be used for the element's query |
| [`sorts`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#sorts) | Defines the sorts to be used for the element's query |
| [`pivots`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#pivots) | Defines the dimensions that should be pivoted to be used for the element's query |
| [`limit`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#limit) | Defines the row limit to be used for the element's query |
| [`filters` (for elements)](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#filters) | Defines the filters that *cannot* be changed for the element's query |
| [`listen`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#listen) | Defines the filters that *can* be changed for the element's query, if [`filters` (for dashboard)](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#filters-for-dashboard) have been created |
| [`query_timezone`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#query_timezone) | Defines the [time zone](https://docs.cloud.google.com/looker/docs/2600/reference/param-view-timezone-values) that should be used when the query is run |
| [`merged_queries`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#merged_queries) | Defines a [merged results](https://docs.cloud.google.com/looker/docs/2600/merged-results) query |
| Plot Parameters |||
| [`stacking`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#stacking) | Stacks series on top of each other to create a stacked chart |
| [`show_dropoff`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#show_dropoff) | Adds arrows that show the percent change between data points |
| [`ordering`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#ordering) | Sets the order of series values in a stacked or stacked percentage chart |
| [`column_spacing_ratio`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#column_spacing_ratio) | Sets the spacing between columns within a group |
| [`column_group_spacing_ratio`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#column_group_spacing_ratio) | Sets the spacing between column groups to a value between 0 and 1 |
| [`hide_legend`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#hide_legend) | Hides the chart legend |
| [`legend_position`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#legend_position) | Specifies whether legend appears to the left, center, or right of the chart |
| [`hidden_fields`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#hidden_fields) | Specifies any fields to use in the query but hide from the chart |
| [`limit_displayed_rows`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#limit_displayed_rows) | Shows or hides rows in a visualization based on their position in the results |
| [`limit_displayed_rows_values`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#limit_displayed_rows_values) | Specifies which rows to show or hide in a visualization. This parameter has the subparameters [`show_hide`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#show_hide), [`first_last`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#first_last), and [`num_rows`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#num_rows). |
| Series Parameters |||
| [`colors`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#colors) | Sets the colors of chart series based on the order in which the series appear |
| [`series_colors`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#series_colors) | Sets the colors of chart series based on the name of the series |
| [`series_labels`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#series_labels) | Changes the way a series name appears to users |
| [`series_types`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#series_types) | Mixes visualization types by defining the type for each series |
| [`show_view_names`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#show_view_names) | Hides view names from chart labels |
| Value Parameters |||
| [`show_value_labels`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#show_value_labels) | Shows labels next to data points |
| [`show_null_labels`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#show_null_labels) | Determines if null labels should be shown on a chart when labels are shown |
| [`label_color`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#label_color) | Specifies a comma-separated list of color values |
| [`font_size`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#font_size) | Sets the font size of value labels |
| [`label_rotation`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#label_rotation) | With `stacking` set to the default (`''`), sets the rotation of value labels to a value between `-360` and `360` |
| [`label_value_format`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#label_value_format) | Specifies Excel-style formatting for value labels |
| [`show_totals_labels`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#show_totals_labels) | With `stacking` set to `normal`, specifies whether totals are displayed for each stacked group of data points on a chart |
| [`hidden_series`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#hidden_series) | Hides a chart series when the element loads |
| [`show_silhouette`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#show_silhouette) | With `stacking` set to `normal`, displays a lightly shaded representation of a disabled series |
| [`totals_color`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#totals_color) | With `stacking` set to `normal`, specifies the color of totals labels |
| X-Axis Parameters |||
| [`x_axis_scale`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#x_axis_scale) | Specifies how the x-axis scale is calculated |
| [`x_axis_reversed`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#x_axis_reversed) | Specifies the direction of the x-axis |
| [`show_x_axis_label`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#show_x_axis_label) | Hides the x-axis label |
| [`x_axis_label`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#x_axis_label) | Defines a custom x-axis label |
| [`show_x_axis_ticks`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#show_x_axis_ticks) | Shows ticks on the x-axis |
| [`x_axis_gridlines`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#x_axis_gridlines) | Extends grid lines from the x-axis |
| [`x_axis_label_rotation`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#x_axis_label_rotation) | Rotates x-axis labels a number of degrees |
| [`x_axis_datetime_label`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#x_axis_datetime_label) | Specifies a format string for the x-axis labels, if they are dates |
| [`x_axis_zoom`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#x_axis_zoom) | Specifies whether to allow zooming along the x-axis |
| Y-Axis Parameters |||
| [`y_axis_gridlines`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#y_axis_gridlines) | Extends gridlines from the y-axis |
| [`y_axis_reversed`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#y_axis_reversed) | Sets the direction of the x-axis |
| [`reference_lines`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#reference_lines) | Adds reference lines to a chart |
| [`y_axis_zoom`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#y_axis_zoom) | Specifies whether to allow zooming along the y-axis. Disabled if `x_axis_zoom: false`. |
| Advanced Visualization Configuration Parameters |||
| [`advanced_viz_config`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#advanced_vis_config) | Accepts a [HighCharts JSON snippet](https://docs.cloud.google.com/looker/docs/2600/chart-config-editor) that can override several visualization settings |

## Basic parameters

When defining a LookML dashboard element, you must specify values for at least the [`name`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#name) and [`type`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#type) basic parameters. Other basic parameters like [`title`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#title), [`height`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#height), and [`width`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#width) affect the appearance and position of an element on a dashboard.


### `name`

> This section refers to the `name` parameter that is part of a [dashboard element](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-element).
>
> `name` can also be used as part of a dashboard filter, described on the [Dashboard parameters](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#name-for-filters) documentation page.

Each `name` declaration creates a new dashboard element and assigns it a name. Element names must be unique. Names are sometimes referenced in the [`elements`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#elements-for-rows) parameter when you're using [`layout: grid`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards.

    - name: orders_by_date

### `title`

> This section refers to the `title` parameter that is part of a [dashboard element](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-element).
>
> `title` can also be used as part of a dashboard, described on the [Dashboard parameters](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#title_(for_dashboard)) documentation page.
>
> `title` can also be used as part of a dashboard filter, described on the [Dashboard parameters](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#title-for-filters) documentation page.

The `title` parameter lets you change how an element's name will appear to users. If unspecified, the title defaults to the element [`name`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#name-for-elements).

Consider this example:

    - name: sales_overview
      title: '1) Sales Overview'

If you used this format, instead of the element appearing as **Sales Overview** , it would appear as **1) Sales Overview**.

### `type`

> This section refers to the `type` parameter that is part of a [dashboard element](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-element).
>
> `type` can also be used as part of a dashboard filter, described on the [Dashboard parameters](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#type-for-filters) documentation page.
>
> `type` can also be used as part of a join, described on the [`type` (for joins)](https://docs.cloud.google.com/looker/docs/2600/reference/param-explore-join-type) parameter documentation page.
>
> `type` can also be used as part of a dimension, described on the [Dimension, filter, and parameter types](https://docs.cloud.google.com/looker/docs/2600/reference/param-dimension-filter-parameter-types) documentation page.
>
> `type` can also be used as part of a measure, described on the [Measure types](https://docs.cloud.google.com/looker/docs/2600/reference/param-measure-types) documentation page.

The `type` parameter determines the type of visualization to be used in the element.

    - name: element_name
      type: text | looker_grid | table | single_value | looker_single_record |
            looker_column | looker_bar | looker_scatter | looker_line | looker_area |
            looker_pie | looker_donut_multiples | looker_funnel | looker_timeline |
            looker_map | looker_google_map | looker_geo_coordinates | looker_geo_choropleth | looker_waterfall | looker_wordcloud | looker_boxplot

See the [`type` (for LookML dashboards)](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-type) documentation page for an overview of the different types of LookML dashboard elements.

### `height`

> This section refers to the `height` parameter that is part of a [dashboard element](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-element).
>
> `height` can also be used as part of a dashboard row, described on the [Dashboard parameters](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#height-for-rows) documentation page.

#### For dashboards with `tile` or `static` layouts

The `height` parameter defines the height of an element, in units of [`tile_size`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#tile_size) (which is defined in pixels), for [`layout: tile`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) and [`layout: static`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards.

For example, the following code specifies `tile_size: 100` and `height: 4`, making the `orders_by_date` element 400 pixels in height.

    - dashboard: sales_overview
      tile_size: 100
      ...

      elements:
      - name: orders_by_date
        height: 4
        ...

#### For dashboards with `newspaper` layout

The `height` parameter defines the height of an element, in units of [row](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#row), for [`layout: newspaper`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards.

A dashboard with newspaper layout defaults to an element height of 6 rows, or about 300 pixels. The minimum height is 1 row for dashboards with a [`preferred viewer`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#preferred_viewer) parameter set to `dashboards-next`. The minimum height is 2 rows for dashboards with a `preferred viewer` parameter set to `dashboards`.

For example, the following code sets an element to be 12 rows tall, or twice as tall as other elements that are set to the default:

    - dashboard: sales_overview
      layout: newspaper
      ...

      elements:
      - name: orders_by_date
        height: 12
        ...

### `width`

> This section refers to the `width` parameter that is part of a [dashboard element](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-element).
>
> `width` can also be used as part of a dashboard, described on the [Dashboard parameters](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#width-for-dashboard) documentation page.

The `width` parameter defines the width of an element, in units of [`tile_size`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#tile_size), for [`layout: tile`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) and [`layout: static`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards.

For example, the following code specifies `tile_size: 100` and `width: 4`, making the `orders_by_date` element 400 pixels in width.

    - dashboard: sales_overview
      tile_size: 100
      ...

      elements:
      - name: orders_by_date
        width: 4
        ...

The `width` parameter defines the width of an element, in units of columns, for [`layout: newspaper`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards.

A dashboard with newspaper layout defaults to a width of 24 columns.

For example, the following code sets the element to half the width of the dashboard:

    - dashboard: sales_overview
      layout: newspaper
      ...

      elements:
      - name: orders_by_date
        width: 12
        ...


### `top`

The `top` parameter defines the top-to-bottom position of an element, in units of [`tile_size`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#tile_size), for [`layout: static`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards.

For example, the following code specifies `tile_size: 100` and `top: 4`, positioning the top edge of the `orders_by_date` element 400 pixels from the top of the dashboard.

    - dashboard: sales_overview
      tile_size: 100
      ...

      elements:
      - name: orders_by_date
        top: 4
        ...

### `left`

The `left` parameter defines the left-to-right position of an element, in units of [`tile_size`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#tile_size), for [`layout: static`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards.

For example, the following code specifies `tile_size: 100` and `left: 4`, positioning the left edge of the `orders_by_date` element 400 pixels from the left side of the dashboard.

    - dashboard: sales_overview
      tile_size: 100
      ...

      elements:
      - name: orders_by_date
        left: 4
        ...

### `row`

For [`layout: newspaper`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards, the `row` parameter defines the row that the top edge of an element is placed on.

A dashboard begins with row 0 at the top of the dashboard. A dashboard with newspaper layout defaults to an element height of 6 rows, meaning the dashboard elements at the top of a dashboard (`row: 0`) would default to taking up rows 0-5.

Each row is 50 pixels tall, which means the default element height of 6 rows is 300 pixels.

For example, the following code sets an element to be set on the second row of elements in the dashboard, assuming elements are set at the default height:

    - dashboard: sales_overview
      layout: newspaper
      ...

      elements:
      - name: orders_by_date
        row: 6
        ...

### `col`

For [`layout: newspaper`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#layout) dashboards, the `col` parameter defines the column that the left edge of the element is placed on.

Dashboards are divided into 24 columns. A dashboard begins with column 0 at the left of the dashboard. A dashboard with newspaper layout defaults to an element width of 8 columns, meaning the dashboard elements at the left of a dashboard (`col: 0`) would default to taking up columns 0-7.

For example, the following code sets an element to be set in the third column of elements in the dashboard:

    - dashboard: sales_overview
      layout: newspaper
      ...

      elements:
      - name: orders_by_date
        col: 16
        ...

### `refresh`

> This section refers to the `refresh` parameter that is part of a [dashboard element](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-element).
>
> `refresh` can also be used as part of a dashboard, described on the [Dashboard parameters](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#refresh-for-dashboard) documentation page.

The `refresh` parameter allows an element to reload automatically on some periodic basis, thereby retrieving fresh data. This is often helpful in settings where a dashboard is constantly displayed, such as on an office TV. Note that the dashboard must be open in a browser window for this parameter to have an effect. This setting does not run in the background to "pre-warm" the dashboard cache.

The refresh rate can be any number (without decimals) of seconds, minutes, hours, or days. For example:

    - name: orders_by_date
      refresh: 2 hours

Use caution when setting short refresh intervals. If the query behind the element is resource-intensive, certain elements may strain your database more than desired.

### `note`

You can add descriptive notes to elements like this:

    - name: element_name
      note:
        text: 'note text'
        state: collapsed | expanded
        display: above | below | hover

`note` has the subparameters `text`, `state`, and `display`.

#### `text`

The `text` subparameter specifies the text displayed in the note. The text can be [localized](https://docs.cloud.google.com/looker/docs/2600/model-localization).

#### `state`

The `state` subparameter determines whether the note will be `collapsed` or `expanded` if it is too big to fit on a single row within the element's width. If you choose `collapsed` and the note is too long, the note will end in a clickable ellipsis (`...`) that can be used to read the full note.

#### `display`

The `display` subparameter determines where the note is displayed on an element. `above` places the note at the top of an element, `below` places it at the bottom of an element, and `hover` requires the user to hover their mouse over the element to see the note.

## Query parameters

When defining a LookML dashboard element, you must specify values for at least the [`model`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#model) and [`explore`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#explore) query parameters, and at least one field must be specified using either the [`dimensions`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#dimensions) parameter or the [`measures`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#measures) parameter. You can also use the other query parameters to control the way data is displayed in a dashboard element.

### `model`

The `model` parameter defines the model to use for the element query. If unspecified, it will default to the model where the dashboard resides.

    - name: orders_by_date
      model: ecommerce

The `model` parameter accepts [LookML constants](https://docs.cloud.google.com/looker/docs/2600/reference/param-manifest-constant). You can define a constant in the [manifest file](https://docs.cloud.google.com/looker/docs/2600/other-project-files#project_manifest_files) for your project, then use the syntax `"@{constant_name}"` to set the constant as the value for `model`. Using a constant lets you define the name of a model in one place, which is particularly useful if you're updating the name of a model that is used by multiple dashboard elements.

For more information and an example of using constants with LookML dashboards, see the [`constant`](https://docs.cloud.google.com/looker/docs/2600/reference/param-manifest-constant#using_constants_in_lookml_dashboards) parameter documentation page.

### `explore`

> This section refers to the `explore` parameter that is part of a [dashboard element](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-element).
>
> `explore` can also be used as part of a model, described on the [`explore`](https://docs.cloud.google.com/looker/docs/2600/reference/param-explore-explore) parameter documentation page.
>
> `explore` can also be used as part of a dashboard filter, described on the [Dashboard parameters](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#explore-for-filters) documentation page.

The `explore` parameter defines the Explore to use for the element query.

    - name: orders_by_date
      explore: order

The `explore` parameter accepts [LookML constants](https://docs.cloud.google.com/looker/docs/2600/reference/param-manifest-constant). You can define a constant in the [manifest file](https://docs.cloud.google.com/looker/docs/2600/other-project-files#project_manifest_files) for your project, then use the syntax `"@{constant_name}"` to set the constant as the value for `explore`. Using a constant lets you define the name of an Explore in one place, which is particularly useful if you're updating the name of an Explore that is used by multiple dashboard elements.

For more information and an example of using constants with LookML dashboards, see the [`constant`](https://docs.cloud.google.com/looker/docs/2600/reference/param-manifest-constant#using_constants_in_lookml_dashboards) parameter documentation page.

### `dimensions`

The `dimensions` parameter defines the dimension or dimensions to use for the element query. Use the syntax `view_name.dimension_name` to specify the dimension. Don't include `dimensions` if the query doesn't have any.

    ## single dimension example
    - name: orders_by_date
      dimensions: order.order_date

    ## multiple dimension example
    - name: orders_by_date
      dimensions: [order.order_date, customer.name]

### `measures`

The `measures` parameter defines the measure or measures to use for the element query. Use the syntax `view_name.measure_name` to specify the measure. Don't include `measures` if the query doesn't have any.

    ## single measure example
    - name: orders_by_date
      measures: order.count

    ## multiple measure example
    - name: orders_by_date
      measures: [order.count, order_item.count]

### `sorts`

The `sorts` parameter defines the sorts to be used for the element query. The primary sort is listed first, then the secondary sort, and so on. Use the syntax `view_name.field_name` to specify the dimension or measure. Don't include `sorts` if you want to use Looker's default sort order. Descending sorts are suffixed with `desc`; ascending sorts don't need a suffix.

    ## single sort example
    - name: orders_by_date
      sorts: order.order_date desc

    ## multiple sort example
    - name: orders_by_date
      sorts: [order.order_date desc, customer.name]

### `pivots`

The `pivots` parameter defines the dimensions that should be pivoted for the element query. Use the syntax `view_name.dimension_name` to specify the dimension. Don't include `pivots` if the query doesn't have any.

    ## single pivot example
    - name: orders_by_date
      pivots: customer.gender

    ## multiple pivot example
    - name: orders_by_date
      pivots: [customer.gender, customer.age_tier]

### `limit`

The `limit` parameter defines the row limit that should be used for the element query. The limit applies to the number of rows **before** any pivots are applied.

    - name: orders_by_date
      limit: 100

### `filters`

> This section refers to the `filters` parameter that is part of a [dashboard element](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-element).
>
> `filters` can also be used as part of a dashboard, described on the [Dashboard parameters](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#filters-for-dashboard) documentation page.
>
> `filters` can also be used as part of a measure, described on the [`filters`](https://docs.cloud.google.com/looker/docs/2600/reference/param-field-filters) parameter documentation page.

The `filters` parameter defines the non-changeable filters that should be used for the element's query. If you would like filters that a user *can* change in the dashboard, you should set up the filters using [`filters` for dashboards](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#filters-for-dashboard), then apply them to the elements using [`listen`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#listen).

The syntax for `filters` is:

    - name: element_name
      filters:
        orders.created_date: 2020/01/10 for 3 days
        orders.status: Shipped
        # You can create multiple filter statements

Each filter can accept a Looker [filter expression](https://docs.cloud.google.com/looker/docs/2600/filter-expressions) or a value constant. You can also use the [`_localization`](https://docs.cloud.google.com/looker/docs/2600/model-localization#filter_localization_example) or [`_user_attributes`](https://docs.cloud.google.com/looker/docs/2600/liquid-variable-reference#user_attributes) Liquid variables in the filter expression for flexible filter values.

### `listen`

Dashboard filters let viewers interactively refine the data that is shown in dashboard elements. Define dashboard filters with the [`filters` parameter for LookML dashboards](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#filters-for-dashboard). Then, use the `listen` parameter to link dashboard elements to the dashboard filter.

The syntax for `listen` is as follows:

    - name: element_name
      listen:
        filter_name_goes_here: dimension or measure on which to apply
                               the filter using view_name.field_name syntax
        # You can add more than one listen statement

Add the `listen` parameter to an element, and then provide the name of the filter followed by a colon and a reference to the field to which the filter should apply, using the `view_name.field_name` syntax. For example, you might create a filter called **Date** that requires a user to enter a date into the filter field in the UI. You could then apply the value that the user enters to the `orders_by_date` element like this:

    - dashboard: sales_overview
      ...

      filters:
      - name: date
        type: date_filter

      elements:
     - name: orders_by_date
        listen:
          date: order.order_date
        ...

For additional examples of using the `filters` parameter and the `listen` parameter to apply dashboard filters to individual dashboard elements, see [Building LookML dashboards](https://docs.cloud.google.com/looker/docs/2600/building-lookml-dashboards#dashboard_filters).

### `query_timezone`

The `query_timezone` parameter specifies the time zone in which the query will be run. The time zone options are shown on the [Values for `timezone`](https://docs.cloud.google.com/looker/docs/2600/reference/param-view-timezone-values) documentation page. If you want the query to run using the viewer's time zone, you can assign the value as `user_timezone`.

    - name: orders_by_date
      query_timezone: America/Los Angeles

    - name: orders_by_customer
      query_timezone: user_timezone

### `merged_queries`

The `merged_queries` parameter lets you [combine the results of multiple queries](https://docs.cloud.google.com/looker/docs/2600/merged-results) into a single dashboard element. Define each source query within the element's `merged_queries` parameter and use the `join_fields`subparameter to specify [how the results should be merged](https://docs.cloud.google.com/looker/docs/2600/merged-results#checking_the_merge_rules_and_running_the_merge).

The following sample LookML code creates a merged results [element of `type: looker_grid`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-table-chart). In this example, the `merged_queries` parameter is used to create a dashboard element that combines data from two separate queries into a single table chart:

```
- name: merged_results_element
  title: Merged Results Tile
  type: looker_grid
  merged_queries:
  - model: ecommerce
    explore: users
    type: table
    fields: [users.state, users.count, users.city]
    sorts: [users.count desc 0]
    limit: 5000
    column_limit: 50
    query_timezone: UTC
    listen:
    - State: users.state
  - model: ecommerce
    explore: users
    type: table
    fields: [users.state, users.city]
    sorts: [users.state]
    limit: 500
    column_limit: 50
    query_timezone: UTC
    join_fields:
    - field_name: users.state
      source_field_name: users.state
    - field_name: users.city
      source_field_name: users.city
    listen:
    - State: users.state
```

In this example, the dashboard element combines data from two source queries that are based on the `users` Explore in the `ecommerce` model. The primary query includes the `users.state`, `users.count`, and `users.city` fields, and it sorts the results by the `users.count` field. The second source query includes the `users.state` and `users.city` fields and sorts the results by the `users.state` field.

The `join_field` parameter merges the source queries based on matching values in the `users.state` and `users.city` fields.

The `listen` parameter applies a `State` filter to both queries, which lets dashboard viewers refine the query results that are displayed in the dashboard tile by selecting a specific state.

#### Example: Merging company data

Suppose you want to create a merged query that combines information about companies from two different Explores: `company_info` and `companies`. You want to join the queries on the `ipo.stock_symbol`, `companies.name`, and `companies.contact_email` fields from each Explore to create a query that returns results for company name, company contact email, IPO year, stock symbol, number of employees, and job count. You can define the merged query element in LookML as follows:

    - name: merged_results_element
      title: Merged Results Tile
      merged_queries:
      - model: market_research
        explore: company_info
        fields: [companies.name, companies.contact_email, ipo.public_year, ipo.stock_symbol]
        filters:
          companies.contact_email: "-NULL"
          ipo.valuation_amount: NOT NULL
        sorts: [ipo.public_year desc]
      - model: company_data
        explore: companies
        fields: [companies.name, ipo.stock_symbol, companies.contact_email,
          companies.number_of_employees, jobs.job_count]
        filters:
          companies.number_of_employees: NOT NULL
          ipo.stock_symbol: "-NULL"
          companies.contact_email: "-NULL"
        sorts: [jobs.job_count desc]
        join_fields:
        - field_name: ipo.stock_symbol
          source_field_name: ipo.stock_symbol
        - field_name: companies.name
          source_field_name: companies.name
        - field_name: companies.contact_email
          source_field_name: companies.contact_email

#### Applying filters to merged query elements

The [previous example of a merged query element](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#example:_merging_company_data) demonstrates how to apply hard-coded filters directly within each source query by using the [`filters`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#filters) parameter. For example, the filters `companies.contact_email: "-NULL"` and `ipo.valuation_amount: NOT NULL` in the primary query restrict the results to companies that have valid contact emails and valuations. These query-level filters pre-filter the data before merging the queries and cannot be changed by the user.

You can also apply [dashboard filters](https://docs.cloud.google.com/looker/docs/2600/building-lookml-dashboards#dashboard_filters) to merged query elements by using the `listen` parameter within the definition of each source query. For example, suppose you have a dashboard filter named `Industry` that you defined at the dashboard level by using the [`filters` parameter for LookML dashboards](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard#filters-for-dashboard):

    filters:
    - name: Industry
      title: Industry
      type: field_filter
      ui_config:
        type: dropdown_menu
        display: inline
      model: market_research
      explore: company_info
      field: companies.industry

To apply the `Industry` filter to the `companies.industry` field in both source queries, add the `listen` parameter to each of the merged query's source query definitions as follows:

    listen:
      Industry: companies.industry

For example, the following sample code adds the `Industry` filter to both source queries in the merged results element from the previous example.

    - name: merged_results_element
      title: Merged Results Tile
      merged_queries:
      - model: market_research
        explore: company_info
        fields: [companies.name, companies.contact_email, ipo.public_year, ipo.stock_symbol]
        filters:
          companies.contact_email: "-NULL"
          ipo.valuation_amount: NOT NULL
        sorts: [ipo.public_year desc]
        listen:
          Industry: companies.industry
      - model: company_data
        explore: companies
        fields: [companies.name, ipo.stock_symbol, companies.contact_email,
          companies.number_of_employees, jobs.job_count]
        filters:
          companies.number_of_employees: NOT NULL
          ipo.stock_symbol: "-NULL"
          companies.contact_email: "-NULL"
        sorts: [jobs.job_count desc]
        join_fields:
        - field_name: ipo.stock_symbol
          source_field_name: ipo.stock_symbol
        - field_name: companies.name
          source_field_name: companies.name
        - field_name: companies.contact_email
          source_field_name: companies.contact_email
        listen:
          Industry: companies.industry

With this addition, when a user interacts with the `Industry` dashboard filter, the corresponding source query in the merged query element will be filtered accordingly.

> [!TIP]
> **Tip:** Each source query can listen to one or more dashboard filters. This lets you define filter logic for each source query independently, regardless of the number of source queries in your merged results element. If a query does not have a `listen` parameter, then it won't be affected by any dashboard filters.

## Plot parameters

Most of the parameters described in this section correspond to the options in the [**Plot** section](https://docs.cloud.google.com/looker/docs/2600/column-options#plot_menu_options) of the visualization editor for column charts.

### `stacking`

The `stacking` parameter specifies how series are clustered visually on a chart.

- `normal`: Stacks bars, lines, and points one on top of each other, as in a normal stacked column chart.

- `percent`: Stack bars, lines, and points to total 100% fill of the chart and set the y-axis values to be percentages.

- `''`: Bars, lines, and points are not stacked and are instead grouped.

    stacking: normal | percent | ''

    ## default value: ''

### `show_dropoff`

The `show_dropoff` parameter toggles the appearance of percent change arrows across the chart. For each series, these arrows display the percent of the previous value from left to right.

![](https://docs.cloud.google.com/static/looker/docs/images/show_dropoff.png)

    show_dropoff: true | false

    ## default value: false

### `ordering`

The `ordering` parameter lets you order each slice of a stacked or stacked percentage chart by the size of each slice.

- `none` (or no value is specified): Series values will be ordered according to their positions in the data table.
- `asc`: The smallest series values will be positioned at the bottom, with values increasing in size toward the top of the column stack.
- `desc`: The largest values will be positioned at the bottom, with values decreasing in size toward the top.

### `column_spacing_ratio`

The `column_spacing_ratio` parameter sets the spacing between columns within a group. This is available for charts that have `stacking` set to the default grouped setting, specified using `''` in LookML. This parameter accepts values between `0` and `1`. `0` is associated with minimum spacing between columns within a group, and `1` is associated with maximum spacing between columns within a group.


    column_space_ratio: number between 0 and 1

### `column_group_spacing_ratio`

The `column_group_spacing_ratio` parameter sets the spacing between column groups. This parameter accepts values between `0` and `1`. `0` is associated with minimum spacing between column groups, and `1` is associated with maximum spacing between column groups.


    column_group_spacing_ratio: number between 0 and 1

### `hide_legend`

This declaration will hide the legend from the visualization.

    hide_legend: true | false

    ## default value: false

### `legend_position`

If `hide_legend` is set to `false` (and there is more than one series), you can use the `legend_position` parameter to specify whether the series legend will appear to the left, center, or right of the chart.

    legend_position: center | left | right

    ## default value: false

### `hidden_fields`

The `hidden_fields` parameter indicates which fields, if any, are used in the query but hidden in the chart. Any hidden fields will appear in the data table section of an Explore.

    hidden_fields: [inventory_items.count, distribution_centers.id]

### `limit_displayed_rows`

The `limit_displayed_rows` parameter lets you show or hide rows in a visualization, based on their position in the results. For example, if your visualization displays a 7-day rolling average, you may want to hide the first 6 rows. Setting this to `true` lets you specify the values and positions in the visualization to which this applies using the `limit_displays_rows_values` parameter and its subparameters.

    limit_displayed_rows: true
    limit_displayed_rows_values:
      show_hide: hide | show
      first_last: first | last
      num_rows: '10'

### `limit_displayed_rows_values`

Use the `limit_displayed_rows_values` parameter, and its subparameters `show_hide`, `first_last`, and `num_rows`, with `limit_displayed_rows` to specify which rows to show or hide in a visualization. See the [`limit_displayed_rows` section](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#limit_displayed_rows) for sample usage.

#### `show_hide`

The `show_hide` subparameter sets whether to hide certain rows from the visualization. Set `show_hide` to `show` to display only a limited number of rows in the visualization, and set `show_hide` to `hide` to exclude certain rows from the visualization.

#### `first_last`

The `first_last` subparameter sets whether the rows to be hidden or shown will be the first or last rows in the result set. Setting `first_last` to `first` shows or hides the first rows, while set `first_last` to `last` shows or hides the last rows.

#### `num_rows`

The `num_rows` subparameter sets the number of rows to be hidden or shown. For example, `num_rows: '10'` will show or hide either the first or last 10 rows of the result set from the visualization.

## Series parameters

The parameters described in this section correspond to the options in the [**Series** section](https://docs.cloud.google.com/looker/docs/2600/column-options#series_menu_options) of the visualization editor for column charts.

### `colors`

The `colors` parameter specifies a list of colors for the series. The first color in the list corresponds to the first data series. If there are more series than listed colors, the colors will start over at the beginning.


    colors: [blue, orange, yellow, red, purple]

For all chart attributes that specify a color, the color value can take a hex string, such as `#2ca6cd`, or a [CSS named color string](https://www.w3schools.com/cssref/css_colors.asp), such as `mediumblue`.

### `series_colors`

Set the colors of the series based on the series name, using `name: value` pairs.

For a pivoted chart, the series names are the pivot names.

    series_colors:
      'Yes': skyblue
      'No': '#000000'

For a chart with multiple measures, the series names are the measure field names.

    series_colors:
      inventory_items.count: crimson
      orders.count: green

If the series name is not listed in `series_colors`, the chart will default to the list of colors provided in [`colors`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#colors). If [`colors`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#colors) is not set, the chart will fall back to the default color scheme.

### `series_labels`

Set the labels of one or more series based on the series name, using `name: label` pairs.

For a pivoted chart, the series names are the pivot names.

    series_labels:
      'Yes': iOS Users
      'No': Android Users

For a chart with multiple measures, the series names are the measure field names.

    series_labels:
      inventory_items.count: Inventory
      orders.count: Orders

### `series_types`

The `series_type` parameter lets you use different Cartesian chart types in the same visualization. Use this parameter to assign a chart type to each series that you want to change. The type options are `line`, `column`, `bar`, `area`, and `scatter`.

    series_types:
      series_a_name: column
      series_b_name: line

All series default to the initial chart type that you choose; you can then modify individual series.

### `show_view_names`

The `show_view_names` parameter determines whether view names are displayed in chart labels, such as axis names and column names.

    show_view_names: true | false

    ## default value: true

## Value parameters

The parameters described in this section correspond to the options in the [**Values** section](https://docs.cloud.google.com/looker/docs/2600/column-options#values_menu_options) of the visualization editor for column charts.

### `show_value_labels`

Display the value of a bar, line, or point next to the data point.

    show_value_labels: true | false

    ## default value: false

### `show_null_labels`

Determine whether labels should be shown for null columns or bars, when [`show_value_labels`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#show_value_labels) is set to `true`.

    show_null_labels: true | false

    ## default value: false

### `labelColor`

If `labelColorEnabled` is set to `true`, use the `labelColor` parameter to specify a custom color for the label and percentages. Labels where `labelPosition` is set to `inline` will appear in the color chosen, and labels on either side of the chart will appear about 40% darker than the chosen color.


    labelColor: "#4FBC89"

### `font_size`

Set the font size of value labels using any valid CSS size, such as `10px` or `12px`.


    font_size: 14px

### `label_rotation`

Set the rotation of the value labels. This parameter accepts values between `-360` and `360`, denoting the number of degrees to rotate the labels. This parameter is only available when `stacking` is set to the default (`''`).


    label_rotation: -45

### `label_value_format`

The `label_value_format` parameter specifies the formatting to apply to a value, independent of any formatting applied to the underlying dimension or measure. The field accepts Excel-style formatting. If `label_value_format` is not specified, the value will be displayed in the format of the underlying dimension or measure.

You can read about how to specify these formats on the [Adding custom formatting to numeric fields](https://docs.cloud.google.com/looker/docs/2600/custom-formatting#custom_formatting_examples) documentation page. However, color formatting is not supported in Looker.
> The formatting used in the `label_value_format` LookML dashboard parameter is the same as formatting used with the [`value_format` LookML parameter](https://docs.cloud.google.com/looker/docs/2600/reference/param-field-value-format#examples), except that the `value_format` LookML parameter requires the formatting string to be enclosed in double quotes.


    label_value_format: '0.00'

### `show_totals_labels`

Set whether totals are displayed for each stacked group of data points on a chart. This parameter is only available when `stacking` is set to `normal`.


    show_totals_labels: true | false

### `hidden_series`

The `hidden_series` parameter specifies which series will be disabled in the chart, meaning that the series will appear in the chart legend, but grayed out. Users can enable disabled series by clicking them in the chart legend. Consequently, `hidden_series` may not worked as desired with [`hide_legend: true`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#hide_legend).

For a pivoted chart, the series names are the pivot names:

    hidden_series: ['Yes', 'No']

For a chart with multiple measures, the series names are the measure field names:

    hidden_series: [inventory_items.count, orders.count]

Used together with the [`show_silhouette`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#show_silhouette) parameter, you can specify whether disabled series are shown as a lightly shaded representation in the chart itself.

### `show_silhouette`

When the `show_silhouette` parameter is set to `true` and [`stacking`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#stacking-param) is set to `normal`, a [disabled series](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#hidden_series) will be displayed as a lightly shaded silhouette.


    show_silhouette: true | false

### `totals_color`

This parameter defines the color of the totals labels in a chart. The `totals_color` parameter is only available when `stacking` is set to `normal`.


    totals_color: "#2ca6cd"

## X-axis parameters

The parameters described in this section correspond to the options in the [**X** section](https://docs.cloud.google.com/looker/docs/2600/column-options#x_menu_options) of the visualization editor for column charts.

### `x_axis_scale`

This parameter determines how the x-axis scale is calculated.

- `auto`: The scale will be inferred from the underlying data. This is the default setting.
- `ordinal`: The data will be plotted as evenly spaced, discrete entries.
- `time`: The data will be plotted as time and the axis will be labeled appropriately. This will not work if the underlying data can't be converted to dates.

    x_axis_scale: auto | ordinal | time

    ## default value: auto

### `x_axis_reversed`

This parameter sets the direction of the x-axis. When `x_axis_reversed` is set to `false`, values increase from left to right. When it is set to `true`, values decrease from left to right.


    x_axis_reversed: true | false

### `show_x_axis_label`

This parameter determines whether labels are shown on the x-axis.

    show_x_axis_label: true | false

    ## default value: true

### `x_axis_label`

This parameter specifies a label for the x-axis. You can use this parameter when [`show_x_axis_label`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#show_x_axis_label) is set to `true`.

    x_axis_label: Order Date

### `show_x_axis_ticks`

This parameter determines whether value labels are shown on the x-axis.

    show_x_axis_ticks: true | false

    ## default value: true

### `x_axis_gridlines`

This parameter determines whether gridlines are extended from the x-axis.

    x_axis_gridlines: true | false

    ## default value: false

### `x_axis_label_rotation`

The `x_axis_label_rotation` parameter defines the rotation of the x-axis labels in degrees. This parameter accepts values between `-360` and `360`, denoting the number of degrees to rotate the labels.

    x_axis_label_rotation: -45

### `x_axis_datetime_label`

This parameter specifies a format string for the x-axis labels, if they are dates. If `x_axis_scale` is not set to `time`, this does nothing.


    x_axis_datetime_label: '%b %d'

See the [Time formatting for charts](https://docs.cloud.google.com/looker/docs/2600/time-formatting-for-charts) documentation page for information on formatting times.

### `x_axis_zoom`

This parameter specifies whether users can [zoom into](https://docs.cloud.google.com/looker/docs/2600/viewing-dashboards#zooming_on_cartesian_charts) the x-axis of the visualization. When `x_axis_zoom` is set to `true`, zooming is available. When `x_axis_zoom` is set to `false`, zooming is not available.

If `x_axis_zoom` is set to `false`, [`y_axis_zoom`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#y_axis_zoom) is disabled.

    x_axis_zoom: true | false

    # default value: true

## Y-axis parameters

> **Under construction:** We are working on updating this section of the page. Meanwhile, you can check out the [Column chart options](https://docs.cloud.google.com/looker/docs/2600/column-options#y_menu_options) documentation page to view equivalent visualization menu options for the y-axis.

The parameters described in this section correspond to the options in the [**Y** section](https://docs.cloud.google.com/looker/docs/2600/column-options#y_menu_options) of the visualization editor for column charts.

### `y_axis_gridlines`

This parameter determines whether gridlines are extended from the y-axis.

    y_axis_gridlines: true | false

    ## default value: true

### `y_axis_reversed`

This parameter sets the direction of the y-axis. When `y_axis_reversed` is set to `false`, values increase going up the axis. When it is set to `true`, values decrease going down the axis.


    ## y_axis_reversed: true | false

    # default value: false

### `reference_lines`

This parameter specifies an array of values for specifying reference lines and regions.

See the [Dashboard reference line parameters](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-reference-line) documentation page for information on setting up reference lines.


    reference_lines:
       # reference line options

### `y_axis_zoom`

This parameter specifies whether users can [zoom into](https://docs.cloud.google.com/looker/docs/2600/viewing-dashboards#zooming_on_cartesian_charts) the y-axis of the visualization. When `y_axis_zoom` is set to `true`, zooming is available.

When `y_axis_zoom` is set to `false`, users cannot zoom into smaller portions of the y-axis. However, users may still be able to zoom into smaller portions of the x-axis if the [`x_axis_zoom` parameter](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#x_axis_zoom) is set to `true`.

If [`x_axis_zoom`](https://docs.cloud.google.com/looker/docs/2600/reference/param-lookml-dashboard-column-chart#x_axis_zoom) is set to `false`, `y_axis_zoom` is disabled.

    y_axis_zoom: true | false

    # default value: true

## Advanced visualization configuration parameters

The parameters described in this section correspond to the optional chart configuration overrides, which you can apply to a chart by clicking the **Edit Chart Config** button in the **Plot** section of the visualization editor.

### `advanced_vis_config`

This parameter accepts a HighCharts JSON snippet that overrides several visualization settings and opens up new capabilities. See the [Customizing visualizations using the Chart Config Editor](https://docs.cloud.google.com/looker/docs/2600/chart-config-editor) documentation page for examples of using HighCharts JSON to achieve common use cases.


    advanced_vis_config: "{ series: [{ formatters: [{ select: 'value >= 50', style: { color: 'orange' } }]}]}"

    # This example changes the color to orange for any series value that is greater than or equal to 50.

    # default value: null